<?php
/* --------------------------------------------------------------
   LexofficeInvoiceAuthException.inc.php 2020-11-09
   http://www.agiltech.de
   Copyright (c) 2020 agilTech Information Technologies GmbH
   --------------------------------------------------------------
*/
class LexofficeInvoiceAuthException extends Exception
{
   private $http_code;
   private $details;

   function __construct($msg, $http_code, $details = null)
   {
      parent::__construct($msg, $http_code, null);
      $this->http_code = $http_code;
      if ($details != null) {
         $this->details = (array)$details;
      }
   }

   public function getHttpCode()
   {
      return $this->http_code;
   }

   public function getDetails()
   {
      return $this->details;
   }
}
