/* --------------------------------------------------------------
   add_lexoffice_invoice_orders_bulk_action.js 2020-09-11
   http://www.agiltech.de
   Copyright (c) 2020 agilTech Information Technologies GmbH
 --------------------------------------------------------------
 */
$(function () {
  "use strict";

  const $table = $(".table-main");

  $table.on("init.dt", function () {
    const isEmailDefault =
      $table.data("defaultBulkAction") ===
      "lexoffice-invoice-bulk-email-action";
    const isDownloadDefault =
      $table.data("defaultBulkAction") ===
      "lexoffice-invoice-bulk-download-action";
    const isCancelDefault =
      $table.data("defaultBulkAction") ===
      "lexoffice-creditnote-create-action";
    jse.libs.button_dropdown.addAction($(".bulk-action"), {
      text: jse.core.lang.translate(
        "lexoffice_invoice_button_email_invoices",
        "admin_general"
      ),
      data: { configurationValue: "lexoffice-invoice-bulk-email-action" },
      class: "bulk-email-invoice",
      isDefault: isEmailDefault,
      callback: function (e) {
        e.preventDefault();
      },
    });
    jse.libs.button_dropdown.addAction($(".bulk-action"), {
      text: jse.core.lang.translate(
        "lexoffice_invoice_button_download_invoices",
        "admin_general"
      ),
      data: { configurationValue: "lexoffice-invoice-bulk-download-action" },
      class: "bulk-download-invoice",
      isDefault: isDownloadDefault,
      callback: function (e) {
        e.preventDefault();
      },
    });
    jse.libs.button_dropdown.addAction($(".bulk-action"), {
      text: jse.core.lang.translate(
        "lexoffice_invoice_button_create_creditnote",
        "admin_general"
      ),
      data: { configurationValue: "lexoffice-creditnote-create-action" },
      class: "bulk-cancellation-invoice",
      isDefault: isCancelDefault,
      callback: function (e) {
        e.preventDefault();
      },
    });
  });
});
