/* --------------------------------------------------------------
   add_lexoffice_invoice_orders_row_action.js 2020-09-11
   http://www.agiltech.de
   Copyright (c) 2020 agilTech Information Technologies GmbH
 --------------------------------------------------------------
 */
$(function () {
  "use strict";

  const $table = $(".table-main");
  $table.on("init.dt", function () {
    function _addRowAction() {
      const isCreateDefault =
        $table.data("defaultRowAction") ===
        "lexoffice-creditnote-create-action";

      $table.find("tbody .btn-group.dropdown").each(function (index, dropdown) {
        const {invoiceNumber, orderId, isCancellationInvoice, country} = $(this).parents('tr').data();

        // Cancellation invoice
        if (
          isCancellationInvoice === false &&
          orderId > 0 &&
          country !== ""
        ) {
          jse.libs.button_dropdown.addAction($(dropdown), {
            text: jse.core.lang.translate(
              "lexoffice_invoice_button_create_creditnote",
              "admin_general"
            ),
            class: "cancellation-invoice",
            data: { configurationValue: "lexoffice-creditnote-create-action" },
            isDefault: isCreateDefault,
            callback: function callback(e) {
              return e.preventDefault();
            },
          });
        }
      });
    }

    $table.on("draw.dt", _addRowAction);
    _addRowAction();
  });
});
