/* --------------------------------------------------------------
   add_lexoffice_invoice_orders_row_action.js 2020-09-11
   http://www.agiltech.de
   Copyright (c) 2020 agilTech Information Technologies GmbH
 --------------------------------------------------------------
 */
$(function () {
  "use strict";

  const $table = $(".table-main");
  $table.on("init.dt", function () {
    function _addRowAction() {
      const isCreateDefault =
        $table.data("defaultRowAction") === "lexoffice-invoice-create-action";
      const isShowDefault =
        $table.data("defaultRowAction") === "lexoffice-invoice-show-action";
      const isEmailDefault =
        $table.data("defaultRowAction") === "lexoffice-invoice-email-action";

      $table.find("tbody .btn-group.dropdown").each(function (index, dropdown) {
        const order = $(this).parents("tr").data();
        if (order.invoiceNumbers.length === 0) {
          jse.libs.button_dropdown.addAction($(dropdown), {
            text: jse.core.lang.translate(
              "lexoffice_invoice_button_create_invoice",
              "admin_general"
            ),
            href:
              "admin.php?do=LexofficeInvoiceModule/CreateInvoice&oID=" +
              order.id +
              "&type=invoice",
            target: "_blank",
            class: "create-invoice",
            data: { configurationValue: "lexoffice-invoice-create-action" },
            isDefault: isCreateDefault,
            callback: function callback(e) {
              return e.preventDefault();
            },
          });
        } else {
          jse.libs.button_dropdown.addAction($(dropdown), {
            text: jse.core.lang.translate(
              "lexoffice_invoice_button_show_invoice",
              "admin_general"
            ),
            class: "show-invoice",
            data: { configurationValue: "lexoffice-invoice-show-action" },
            isDefault: isShowDefault,
            callback: function callback(e) {
              return e.preventDefault();
            },
          });
        }
        jse.libs.button_dropdown.addAction($(dropdown), {
          text: jse.core.lang.translate(
            "lexoffice_invoice_button_email_invoice",
            "admin_general"
          ),
          class: "email-invoice",
          data: { configurationValue: "lexoffice-invoice-email-action" },
          isDefault: isEmailDefault,
          callback: function callback(e) {
            return e.preventDefault();
          },
        });
      });
    }

    $table.on("draw.dt", _addRowAction);
    _addRowAction();
  });
});
