<?php

/* --------------------------------------------------------------
   LexofficeInvoiceInvoicesOverviewController.inc.php 2020-09-11
   http://www.agiltech.de
   Copyright (c) 2020 agilTech Information Technologies GmbH
   --------------------------------------------------------------
*/

/**
 * Class LexofficeInvoiceInvoicesOverviewController
 *
 * This is a lexoffice overload for the InvoicesOverviewController.
 *
 * @see InvoicesOverviewController
 */
class LexofficeInvoiceInvoicesOverviewController extends LexofficeInvoiceInvoicesOverviewController_parent
{
	/**
	 * Override the parent and add the custom javascript files.
	 *
	 * @return array
	 */
	protected function _getAssetsArray()
	{
		$assetsArray = parent::_getAssetsArray();

		$configurationStorage = MainFactory::create('LexofficeInvoiceConfigurationStorage');

		if (gm_get_conf('MODULE_CENTER_LEXOFFICEINVOICE_INSTALLED') == true && $configurationStorage->hasLicensedAccessRights()) {
			$assetsArray[] = MainFactory::create('Asset', DIR_WS_CATALOG . 'GXModules/Agiltech/LexofficeInvoice/Admin/Javascript/add_lexoffice_invoice_invoices_row_action.js');
			$assetsArray[] = MainFactory::create('Asset', DIR_WS_CATALOG . 'GXModules/Agiltech/LexofficeInvoice/Admin/Javascript/add_lexoffice_invoice_invoices_bulk_action.js');
		}

		return $assetsArray;
	}
}
