<?php

/* --------------------------------------------------------------
   LexofficeInvoiceOrderExtenderComponent.inc.php 2020-09-11
   http://www.agiltech.de
   Copyright (c) 2020 agilTech Information Technologies GmbH
   --------------------------------------------------------------
*/

/**
 * Class LexofficeInvoiceOrderExtenderComponent
 *
 * This is a lexoffice overload for the OrderExtenderComponent.
 *
 * @see OrdersOverviewController
 */
class LexofficeInvoiceOrderExtenderComponent extends LexofficeInvoiceOrderExtenderComponent_parent
{
    /**
     * Overloaded "proceed" method.
     */
    public function proceed()
    {
        $configurationStorage = MainFactory::create('LexofficeInvoiceConfigurationStorage');

        if (gm_get_conf('MODULE_CENTER_LEXOFFICEINVOICE_INSTALLED') == true && $configurationStorage->hasLicensedAccessRights()) {
            $url = xtc_href_link('admin.php', 'do=LexofficeInvoiceModule/CreateInvoice&oID=' . (int)$GLOBALS['oID'] . '&type=invoice');
            $this->v_output_buffer['below_withdrawal_heading'] = '
                <label class="title pull-left">
                    ' . lexoffice_invoice_order_details_invoice_title . '
                </label>
                <label class="pull-right head-link default">
                    <a class="create-invoice" href="' . $url . '" target="_blank">
                        ' . lexoffice_invoice_button_create_invoice . '						
                    </a>
                </label>
            ';

            $this->v_output_buffer['below_withdrawal'] = lexoffice_invoice_order_details_invoice_description;
        }

        //The following two rows need to be at the end of every overload of the OrderExtender
        $this->addContent();
        parent::proceed();
    }
}
